<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: testCNN</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">testCNN<div class="ingroups"><a class="el" href="group__test.html">test</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Test CNN module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaae822c926bf3623fccbb8196504df2a1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#gaae822c926bf3623fccbb8196504df2a1">testCNNSimpleTraining</a> ()</td></tr>
<tr class="memdesc:gaae822c926bf3623fccbb8196504df2a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple training function test.  <a href="#gaae822c926bf3623fccbb8196504df2a1">More...</a><br/></td></tr>
<tr class="separator:gaae822c926bf3623fccbb8196504df2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace350f99cda0e82ff6908b8600acc0fa"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#gace350f99cda0e82ff6908b8600acc0fa">testCNNSimpleClone</a> ()</td></tr>
<tr class="memdesc:gace350f99cda0e82ff6908b8600acc0fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple clone function test.  <a href="#gace350f99cda0e82ff6908b8600acc0fa">More...</a><br/></td></tr>
<tr class="separator:gace350f99cda0e82ff6908b8600acc0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ba87fc818c8afc070449d2b4ee198d1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#ga5ba87fc818c8afc070449d2b4ee198d1">testCNNSimpleIO</a> ()</td></tr>
<tr class="memdesc:ga5ba87fc818c8afc070449d2b4ee198d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple read/write function test.  <a href="#ga5ba87fc818c8afc070449d2b4ee198d1">More...</a><br/></td></tr>
<tr class="separator:ga5ba87fc818c8afc070449d2b4ee198d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9331ace836a032e6f7d86bc27e3a3502"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#ga9331ace836a032e6f7d86bc27e3a3502">testCNNSimpleResize</a> ()</td></tr>
<tr class="memdesc:ga9331ace836a032e6f7d86bc27e3a3502"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple resize function test.  <a href="#ga9331ace836a032e6f7d86bc27e3a3502">More...</a><br/></td></tr>
<tr class="separator:ga9331ace836a032e6f7d86bc27e3a3502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4c60d6732efd76f480c1e8299d4e0423"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#ga4c60d6732efd76f480c1e8299d4e0423">testCNNSimpleProfile</a> ()</td></tr>
<tr class="memdesc:ga4c60d6732efd76f480c1e8299d4e0423"><td class="mdescLeft">&#160;</td><td class="mdescRight">simple profile function test  <a href="#ga4c60d6732efd76f480c1e8299d4e0423">More...</a><br/></td></tr>
<tr class="separator:ga4c60d6732efd76f480c1e8299d4e0423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f4633efc3d5831da4bf841833e665f7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#ga2f4633efc3d5831da4bf841833e665f7">testCNNSimpleShare</a> ()</td></tr>
<tr class="memdesc:ga2f4633efc3d5831da4bf841833e665f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple share function test.  <a href="#ga2f4633efc3d5831da4bf841833e665f7">More...</a><br/></td></tr>
<tr class="separator:ga2f4633efc3d5831da4bf841833e665f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Test CNN module. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gace350f99cda0e82ff6908b8600acc0fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int testCNNSimpleClone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Simple clone function test. </p>
<dl class="section return"><dt>Returns</dt><dd>Error code </dd></dl>

</div>
</div>
<a class="anchor" id="ga5ba87fc818c8afc070449d2b4ee198d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int testCNNSimpleIO </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Simple read/write function test. </p>
<dl class="section return"><dt>Returns</dt><dd>Error code </dd></dl>

</div>
</div>
<a class="anchor" id="ga4c60d6732efd76f480c1e8299d4e0423"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int testCNNSimpleProfile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>simple profile function test </p>
<dl class="section return"><dt>Returns</dt><dd>error code </dd></dl>

</div>
</div>
<a class="anchor" id="ga9331ace836a032e6f7d86bc27e3a3502"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int testCNNSimpleResize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Simple resize function test. </p>
<dl class="section return"><dt>Returns</dt><dd>Error code </dd></dl>

</div>
</div>
<a class="anchor" id="ga2f4633efc3d5831da4bf841833e665f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int testCNNSimpleShare </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Simple share function test. </p>
<dl class="section return"><dt>Returns</dt><dd>Error code </dd></dl>

</div>
</div>
<a class="anchor" id="gaae822c926bf3623fccbb8196504df2a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int testCNNSimpleTraining </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Simple training function test. </p>
<dl class="section return"><dt>Returns</dt><dd>Error code </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
